LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
Connector Service Referencepublished

allows to establish a connection to another process. More...

`import"Connector.idl";`

Inheritance diagram for Connector:

## Additional Inherited Members
Public Member Functions inherited from XConnector
XConnection | connect ([in] string sConnectionDescription) raises ( NoConnectException,ConnectionSetupException )
| creates a new connection interprocess connection. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to establish a connection to another process.

Connector is a delegating service. You can add further connectors by giving them a service name com.sun.star.connection.Connector.xxx, where xxx is the connection type used in the connection string during accept()/connect() call.

Developers Guide
  Professional UNO - Opening a Connection

The documentation for this service was generated from the following file:

- com/sun/star/connection/Connector.idl